iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapDrivingRouteSearchRequest Class Reference

驾车路径规划 More...

`#include <AMapSearchObj.h>`

Inheritance diagram for AMapDrivingRouteSearchRequest:

## Properties
NSInteger | strategy
NSArray< AMapGeoPoint * > * | waypoints
| 途经点 AMapGeoPoint 数组，目前最多支持6个途经点
NSArray< AMapGeoPolygon * > * | avoidpolygons
| 避让区域 AMapGeoPolygon 数组，目前最多支持100个避让区域，每个区域16个点
NSString * | avoidroad
| 避让道路名
NSString * | originId
| 出发点 POI ID
NSString * | destinationId
| 目的地 POI ID
NSString * | origintype
| 出发点POI类型编码
NSString * | destinationtype
| 目的地POI类型编码
BOOL | requireExtension
| 是否返回扩展信息，默认为 NO
NSString * | plateProvince
| 车牌省份，用汉字填入车牌省份缩写。用于判断是否限行
NSString * | plateNumber
| 车牌详情,填入除省份及标点之外的字母和数字（需大写）。用于判断是否限行。
NSInteger | ferry
| 使用轮渡,0使用1不使用,默认为0使用
NSInteger | cartype
AMapDrivingRouteExcludeType | exclude
| 规避道路类型,默认为AMapDrivingRouteExcludeTypeNone，仅海外生效
Properties inherited from AMapRouteSearchBaseRequest
AMapGeoPoint * | origin
| 出发点
AMapGeoPoint * | destination
| 目的地

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

驾车路径规划

## Property Documentation

## ◆ avoidpolygons

- (NSArray<AMapGeoPolygon *>*) avoidpolygons
| read write nonatomic copy

避让区域 AMapGeoPolygon 数组，目前最多支持100个避让区域，每个区域16个点

## ◆ avoidroad

- (NSString*) avoidroad
| read write nonatomic copy

避让道路名

## ◆ cartype

- (NSInteger) cartype
| read write nonatomic assign

驾车路径规划车辆类型，默认策略为0。 0：普通汽车(默认值); 1：纯电动车; 2：插电混动车

## ◆ destinationId

- (NSString*) destinationId
| read write nonatomic copy

目的地 POI ID

## ◆ destinationtype

- (NSString*) destinationtype
| read write nonatomic copy

目的地POI类型编码

## ◆ exclude

- (AMapDrivingRouteExcludeType) exclude
| read write nonatomic assign

规避道路类型,默认为AMapDrivingRouteExcludeTypeNone，仅海外生效

## ◆ ferry

- (NSInteger) ferry
| read write nonatomic assign

使用轮渡,0使用1不使用,默认为0使用

## ◆ originId

- (NSString*) originId
| read write nonatomic copy

出发点 POI ID

## ◆ origintype

- (NSString*) origintype
| read write nonatomic copy

出发点POI类型编码

## ◆ plateNumber

- (NSString*) plateNumber
| read write nonatomic copy

车牌详情,填入除省份及标点之外的字母和数字（需大写）。用于判断是否限行。

## ◆ plateProvince

- (NSString*) plateProvince
| read write nonatomic copy

车牌省份，用汉字填入车牌省份缩写。用于判断是否限行

## ◆ requireExtension

- (BOOL) requireExtension
| read write nonatomic assign

是否返回扩展信息，默认为 NO

## ◆ strategy

- (NSInteger) strategy
| read write nonatomic assign

驾车导航策略，默认策略为0。 0，速度优先（时间)；1，费用优先（不走收费路段的最快道路）；2，距离优先；3，不走快速路；4，躲避拥堵； 5，多策略（同时使用速度优先、费用优先、距离优先三个策略计算路径），其中必须说明，就算使用三个策略算路，会根据路况不固定的返回一至三条路径规划信息； 6，不走高速；7，不走高速且避免收费；8，躲避收费和拥堵；9，不走高速且躲避收费和拥堵； 10，多备选，时间最短，距离最短，躲避拥堵（考虑路况）； 11，多备选，时间最短，距离最短； 12，多备选，躲避拥堵（考虑路况）； 13，多备选，不走高速； 14，多备选，费用优先； 15，多备选，躲避拥堵，不走高速（考虑路况）； 16，多备选，费用有限，不走高速； 17，多备选，躲避拥堵，费用优先（考虑路况）； 18，多备选，躲避拥堵，不走高速，费用优先（考虑路况）； 19，多备选，高速优先； 20，多备选，高速优先，躲避拥堵（考虑路况）

## ◆ waypoints

- (NSArray<AMapGeoPoint *>*) waypoints
| read write nonatomic copy

途经点 AMapGeoPoint 数组，目前最多支持6个途经点

The documentation for this class was generated from the following file:

- AMapSearchObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。